 
# Verbesserungsvorschläge für WG Master

* Berechnung bei GVK, GV gebunden und GV überarbeiten
    * Wenn jemand 10.000 kg GVK geliefert hat, für 3000 kg eine GVK Vertrag hat, für 3000 kg einen GV-Flächenvertrag hat, sollte die Berechnung 3000 kg mit den GVK Preis, 3000 kg mit den Flächenbindungspreis und 4000 kg mit dem jeweiligen GV Preis ungebunden berechnen
        * In diesem Fall soll es auch so sein, dass der GV-Flächenbindungsvertrag als erfüllt angesehen wird, und es zu keiner Pönal-Zahlung kommen soll (Anlieferungsbestätigung) 
    * Wenn jemand 10.000 kg GVK geliefert hat, keinen GKV Vertrag hat, aber für 3000 kg Flächenbindung für GV hat, soll es sich um keine Unterlieferung beim GV-Flächenvertrag handeln. Die GVK Menge soll einfach als GV Flächenbindung angerechnet werden. Es wären in diesem Fall also 3000 kg mit den Flächenbindungspreis abzurechnen, und 7000 kg mit dem ungebundenen Preis für GV
        * In diesem Fall soll es auch so sein, dass der GV-Flächenbindungsvertrag als erfüllt angesehen wird, und es zu keiner Pönal-Zahlung kommen soll (Anlieferungsbestätigung) 
    * Wenn jemand 10.000 kg GV liefert, für 3000 kg Flächenbindung für GV hat, für 3000 kg GVK Vertrag hat, sollen 6000 kg als GV-Flächenbindung gerechnet werden, und 4000 kg als GV ungebunden. Der GVK Vertag soll also in solchen Fällen wie ein Flächenbindungsvertag wirken.
        * In diesem Fall soll es auch so sein, dass der GVK Vertrag als erfüllt angesehen werden soll, und es zu keiner Pönal-Zahlung kommen soll (Anlieferungsbestätigung) 
* Mitgliederstammdaten so einrichten, dass Mitgliedsdaten und Rechnungsdaten (bzw. eine Firmenanschrift und eine Personenanschrift) gesondert angegeben werden können – ev. eigenen Bereich bei Mitgliederstammdaten, wo Rechnungsdaten gesondert eingegeben werden kann (Gesbr)
* Direkter Zugriff auf die Mail Adresse durch WG Master – bereits eingetragene Mail-Adressen sollen als Adressbuch fungieren (für Rundschreiben etc.) 
* Möglichkeit zur Abrufung der Access-Daten von WG Master, sodass man sie in Excel verwenden kann. Hier sind vor allem die Lieferdaten gemeint. Z.B. wäre ein Export der gewünschten Daten unter dem Punkt „Auswertungen“ denkbar.
* Bei Unterlieferungen von Flächenbindungen die tatsächliche, absolute Zahl in kg auch anführen, nicht nur die kg/ha - wichtig für die Berechnung der Pönal-Zahlungen
* Bei Unterlieferungen von Flächenbindungen auch Nicht-Lieferungen von Flächenbindungen anführen, ohne dass man „alle Lieferungen anzeigen“ anklicken muss. Auch Nicht-Lieferungen von Flächenbindungen sollen als Unterlieferungen von Flächenbindungen gelten.
* Bei Auswertung „Flächengebundene Lieferungen: wenn jemand vorwiegend GVK geliefert hat, soll es zu keiner Unterlieferung von GV-Flächenbindungsverträgen kommen. Mit der Lieferung von GVK sollen also auch GV-Flächenbindungsverträge erfüllt werden können. 
    * Sollte die gesamte gebundene GV Menge, also GVK und GV, nicht erreicht werden können, soll die gelieferte GVK Menge zuerst den GVK Vertrag ausfüllen, dann den GV Flächenbindungsvertrag 
* Bei Mitgliederstammblatt eine zusätzliche Spalte mit Lieferpflicht bei den Flächenbindungen. Die Bewirtschaftungsart kann stattdessen weggelassen werden.
* Suchfunktion (Tastenkombination strg + f) soll bei „Lieferungen“ und bei „Leseauswertung“ – „Lieferjournal“ funktionieren
* „Mitglieder Auswertungen“ zeigt nicht tatsächliche aktive Mitglieder an. Ebenso stimmen Flächenbindungen von erster Maske und vom Ausdruck nicht überein. Auch ein Rückblick soll möglich sein, sodass die Mitliederanzahl/Flächenbindung zum vergangenen Zeitpunkt x wiedergegeben werden kann.
* Ein Export von den Daten „Auswertungen“-„Jahresvergleich“ in eine Excel Tabelle, sodass man die Treueprämie einfacher (ev. automatisch) berechnen kann. Bei der Wahl der Sorten wäre auch die Option „gesamte gelieferte Menge in kg“ sehr hilfreich
